Bug 1463148 - Minor .spec cleanup/fixes
Minor .spec cleanup/fixes
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: smartmontools (Show other bugs)
7.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 04:53 EDT by Roman Žilka
Modified: 2017-10-13 04:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: smartmontools-6.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Žilka 2017-06-20 04:53:39 EDT
In smartmontools' specfile:
* dependency on chkconfig should be removed
* URL is now www.smartmontools.org (current URL redirects)
* consider removing "ATA" from the description ("... most modern ATA ...")
* s/Technology System/Technology system/

Version-Release number of selected component (if applicable):
smartmontools-6.2-8.el7
Comment 2 Roman Žilka 2017-06-20 06:06:47 EDT
Also, consider adding a dependency on "webclient". update-smart-drivedb can use the following helper tools for downloading (see lines 80-84): curl, lynx, wget, fetch, ftp. Out of those:
* curl, lynx, wget: provide "webclient" in RHEL
* fetch: absent in RHEL (and EPEL)
* ftp: doesn't provide "webclient" (oh well)

Version-Release number of selected component (if applicable):
smartmontools-6.2-8.el7
Comment 3 Michal Hlavinka 2017-06-22 07:23:40 EDT
NACK for webclient dependency change (especially in already released enterprise product), otherwise we can flush this when something else, more important arrives.

Note You need to log in before you can comment on or make changes to this bug.